### Hierarchy

- SearchManager

### Implemented by

- SearchManagerImpl

## Index

### Methods

- addResultItem
- complainToSearchItem
- createRequest
- deleteRequest
- getAllRequests
- getMyRequests
- getSearchResult

## Methods

### addResultItem

- addResultItem(offerSearch: OfferSearch): Promise<void>

- - Defined in manager/SearchManager.ts:19

  #### Parameters

  - ##### offerSearch: OfferSearch

  #### Returns Promise<void>

### complainToSearchItem

- complainToSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:17

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### createRequest

- createRequest(searchRequest: SearchRequest): Promise<SearchRequest>

- - Defined in manager/SearchManager.ts:7

  #### Parameters

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### deleteRequest

- deleteRequest(id: number): Promise<number>

- - Defined in manager/SearchManager.ts:13

  #### Parameters

  - ##### id: number

  #### Returns Promise<number>

### getAllRequests

- getAllRequests(): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:11

  #### Returns Promise<Array<SearchRequest>>

### getMyRequests

- getMyRequests(id: number): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:9

  #### Parameters

  - ##### id: number

  #### Returns Promise<Array<SearchRequest>>

### getSearchResult

- getSearchResult(searchRequestId: number): Promise<Array<OfferSearchResultItem>>

- - Defined in manager/SearchManager.ts:15

  #### Parameters

  - ##### searchRequestId: number

  #### Returns Promise<Array<OfferSearchResultItem>>

Generated using TypeDoc